#if GS_MAC_CFM
	#include <MacTypes.h>
#endif

#include <LCommander.h>
#include <LListener.h>
#include <LStdControl.h>
#include <LGrafPortView.h>

using namespace PP_PowerPlant;

class LMyGrafPortView : public LGrafPortView {
	public:

		enum {class_ID = 'GGfp'};

		LMyGrafPortView(LStream *inStream) : LGrafPortView(inStream) {}

		static LMyGrafPortView*	CreateMyGrafPortView(ResIDT inGrafPortView,
										LCommander *inSuper);
		static LMyGrafPortView*	CreateMyGrafPortViewStream(LStream *inStream);

		
		virtual void GlobalToPortPoint(Point	&ioPoint) const;
};



class MyPPDialog	: public LCommander,
					  public LListener {
	public:
		MyPPDialog() : LCommander((LCommander*)nil) {fParentView = nil; fDone = false;}
		virtual ~MyPPDialog() {}
		
		void ListenToMessage(MessageT inMessage, void *ioParam);
		void DoDialog(const Rect& theRect);
	private:
	
	LMyGrafPortView*	fParentView;
	LStdButton*			fDoneButtonPtr;
	Boolean				fDone;
};








